# Models

## The Ach Token Response object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}}}}}
```

## The Address object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}}}}}
```

## The ach-transaction object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"check-status":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"funding-status":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"purchase-order":{"type":"string","description":"Purchase order number."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}}}}}
```

## The Error object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ErrorResult object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ClearentAchTransactionRequest object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"ClearentAchTransactionRequest":{"required":["amount","individual-name","type"],"type":"object","properties":{"type":{"type":"string","description":"The transaction type.","enum":["CREDIT","DEBIT"]},"amount":{"type":"string","description":"The transaction amount."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"The invoice number associated with the transaction."},"description":{"type":"string","description":"A short description of the transaction."},"comments":{"type":"string","description":"Additional remarks for the transaction."},"software-type":{"type":"string","description":"Name of the software type while submitting the transaction."},"software-type-version":{"type":"string","description":"Version of the software submitting the transaction."},"account-type":{"type":"string","description":"The type of bank account.","enum":["Checking","Savings"]},"routing-number":{"type":"string","description":"The bank routing number associated with the account."},"account-number":{"type":"string","description":"The customer's bank account number."},"individual-name":{"type":"string","description":"The name of the individual associated with the bank account."},"validate-account":{"type":"string","description":"Indicates whether to validate the bank account before processing.","enum":["true","false"]},"standard-entry-class-code":{"type":"string","description":"The ACH standard entry class (SEC) code for the transaction."},"id":{"type":"string","description":"A unique identifier for the transaction."},"tip-amount":{"type":"string","description":"The tip amount added to the transaction."},"purchase-order":{"type":"string","description":"The purchase order number for the transaction."},"email-receipt":{"type":"string","description":"Indicates whether to send an email receipt to the customer."},"email-address":{"type":"string","description":"The customer's email address."},"customer-id":{"type":"string","description":"A merchant-defined identifier for the customer."},"order-id":{"type":"string","description":"A merchant-defined identifier for the order."},"client-ip":{"type":"string","description":"The IP address of the client initiating the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same."},"create-token":{"type":"string","description":"Indicates whether to create a reusable transaction token."},"token-description":{"type":"string","description":"A description associated with the created token."},"check-field":{"type":"string","description":"Field used for duplicate transaction validation."},"check-field-mid":{"type":"boolean","description":"Indicates whether to include the merchant ID in duplicate checking."},"platform-fees":{"type":"array","description":"Platform or service fees applied to the transaction.","items":{"$ref":"#/components/schemas/platform-fee"}}},"xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"platform-fee":{"type":"object","properties":{"fee-name":{"type":"string","description":"The name of the fee applied to the transaction.","enum":["DealManager","FillMyBook"]}},"description":"Platform or service fees applied to the transaction.","xml":{"name":"platform-fee"}}}}}
```

## The platform-fee object

```json
{"openapi":"3.0.1","info":{"title":"ACH Mobile Transactions with Swagger","version":"2.0"},"components":{"schemas":{"platform-fee":{"type":"object","properties":{"fee-name":{"type":"string","description":"The name of the fee applied to the transaction.","enum":["DealManager","FillMyBook"]}},"description":"Platform or service fees applied to the transaction.","xml":{"name":"platform-fee"}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/mobile/ach-mobile-transactions/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
